---
schema_version: "1"
id: 1b13f4f91501e9efbc5babee49007392ee7bce98328f255ed3ff25a1d20a24ef
title: Update Picklists
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries/cme/guides/comms-t-update-picklists.md
canonical_url: https://developer.salesforce.com/docs/industries/cme/guide/comms-t-update-picklists.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: f531bcb2b589758e0ebee4865da30aebd7cedfb7dc3ac7d54eb2e2002027a70e
products:
  - Communications, Media, Energy and Utilities APIs (Managed Package)
  - Industries Developer Documentation
---
# Update Picklists

Update a picklist by specifying its ID and the fields to update in the request body.

```nolang
PUT /v2/epc/picklists
```

## Remote Method

```nolang
updatePicklist
```

## REST Handler

```nolang
APIPicklistRestHandler
```

## Apex Remote Service

```nolang
PCAppHandler
```

## Package

Communication (vlocity_cmt)

## API Parameters and Response Format

For API parameter names and descriptions, see the [Swagger (OpenAPI) reference documentation for Industries EPC REST APIs](https://developer.salesforce.com/docs/industries/cme/references/epc?meta=Summary).

## Resource Information

| Response Format | JSON                                              |
| --------------- | ------------------------------------------------- |
| Resource URL    | `/services/apexrest/{namespace}/v2/epc/picklists` |


## Example Request

```nolang
PUT /v2/epc/picklists
{
  "epcRequest": {
    "entity": {
        "Id":"a313h000000rqfWAAQ",
      "Name": "Picklist-Example",
        "vlocity_cmt__Code__c": "Picklist-Example",
        "vlocity_cmt__VersionLabel__c": "Version-1",
        "vlocity_cmt__LifecycleStatus__c": "Draft",
        "vlocity_cmt__IsActive__c": false
    }
  }
}

```

## Example Result

```
{
    "epcResponse": {
        "entities": [
            {
                "entity": {
                    "attributes": {
                        "type": "vlocity_cmt__Picklist__c",
                        "url": "/services/data/v52.0/sobjects/vlocity_cmt__Picklist__c/a313h000000rqfWAAQ"
                    },
                    "Id": "a313h000000rqfWAAQ",
                    "OwnerId": "0053h000002UGCUAA4",
                    "IsDeleted": false,
                    "Name": "Picklist-Example",
                    "CurrencyIsoCode": "USD",
                    "CreatedDate": "2021-09-02T09:03:02.000+0000",
                    "CreatedById": "0053h000002UGCUAA4",
                    "LastModifiedDate": "2021-09-02T09:18:22.000+0000",
                    "LastModifiedById": "0053h000002UGCUAA4",
                    "SystemModstamp": "2021-09-02T09:18:22.000+0000",
                    "LastViewedDate": "2021-09-02T09:18:21.000+0000",
                    "LastReferencedDate": "2021-09-02T09:18:21.000+0000",
                    "vlocity_cmt__Code__c": "Picklist-Example",
                    "vlocity_cmt__DataType__c": "Text",
                    "vlocity_cmt__GlobalGroupKey__c": "1e3d72b5-a2a1-5ee7-6084-08b6fc7bac4e",
                    "vlocity_cmt__GlobalKey__c": "32356d14-35fa-ee91-f8c3-103ef26317be",
                    "vlocity_cmt__IsActive__c": false,
                    "vlocity_cmt__IsShared__c": false,
                    "vlocity_cmt__LifecycleStatus__c": "Draft",
                    "vlocity_cmt__VersionLabel__c": "Version-1"
                }
            }
        ],
        "overallResult": "success"
    }
}

```
